Package org.eclipse.birt.chart.model.data

# Interface BigNumberDataElement

All Superinterfaces:
  `DataElement`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `BigNumberDataElementImpl`

public interface BigNumberDataElement extends DataElement
A representation of the model object 'Big Number Data Element'. Element BigNUmberDataElement represents a DataElement which BigDecimal value.

The following features are supported:

- `Value`

See Also:
  - `DataPackage.getBigNumberDataElement()`

## Method Summary

Modifier and Type
Method
Description
`BigNumberDataElement`
`copyInstance()`
`BigDecimal`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setValue(BigDecimal value)`
Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValue

BigDecimal getValue()
Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(BigDecimal)`
  - `DataPackage.getBigNumberDataElement_Value()`

### setValue

void setValue(BigDecimal value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`

### copyInstance

BigNumberDataElement copyInstance()

Specified by:
  `copyInstance` in interface `DataElement`
Specified by:
  `copyInstance` in interface `IChartObject`